Zum Inhalt springen
Anmelden Registrieren

JSON-Auto-Parser

Setzen Sie auto_parser=1, damit die API die Seite in eine verschachtelte JSON-Struktur aus Tags, Attributen und Text zerlegt. Funktioniert mit oder ohne JavaScript-Rendering.

GET https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=<TARGET_URL>&auto_parser=1
ParameterTypErforderlichBeschreibung
api_keystringjaIhr Web Scraping API-Schlüssel
urlstringjaZiel-URL, die abgerufen werden soll
auto_parserintegernein0 (Standard) oder 1. Wenn 1, wird die Antwort als geparstes JSON zurückgegeben.
Terminal-Fenster
curl "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=https://example.com&auto_parser=1"
{
"0": {
"tagName": "div",
"children": {
"0": { "tagName": "h1", "text": "Example Domain" },
"1": { "tagName": "p", "text": "This domain is for use in illustrative examples in documents." },
"2": {
"tagName": "p",
"text": "More information...",
"children": {
"0": {
"tagName": "a",
"attributes": { "href": "https://www.iana.org/domains/example" },
"text": "More information..."
}
}
}
}
}
}